628d3d5d457746cee41a84a46a1bd632c8b57348
[scilab.git] / scilab / modules / intersci / Makefile.in
1 # Makefile.in generated by automake 1.11 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
6 # Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17
18 ##########
19 ### Sylvestre Ledru <sylvestre.ledru@inria.fr>
20 ### INRIA - Scilab 2006
21 ##########
22
23 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
24 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
25 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
26 #
27 # This file must be used under the terms of the CeCILL.
28 # This source file is licensed as described in the file COPYING, which
29 # you should have received as part of this distribution.  The terms
30 # are also available at
31 # http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
32 #
33
34 ##########
35 ### Makefile included stuff
36 ### Target, variable, suffixes which are supposed to be usefull in every makefile.am
37 ##########
38
39
40
41 VPATH = @srcdir@
42 pkgdatadir = $(datadir)/@PACKAGE@
43 pkgincludedir = $(includedir)/@PACKAGE@
44 pkglibdir = $(libdir)/@PACKAGE@
45 pkglibexecdir = $(libexecdir)/@PACKAGE@
46 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
47 install_sh_DATA = $(install_sh) -c -m 644
48 install_sh_PROGRAM = $(install_sh) -c
49 install_sh_SCRIPT = $(install_sh) -c
50 INSTALL_HEADER = $(INSTALL_DATA)
51 transform = $(program_transform_name)
52 NORMAL_INSTALL = :
53 PRE_INSTALL = :
54 POST_INSTALL = :
55 NORMAL_UNINSTALL = :
56 PRE_UNINSTALL = :
57 POST_UNINSTALL = :
58 build_triplet = @build@
59 host_triplet = @host@
60 bin_PROGRAMS = intersci$(EXEEXT)
61 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
62         $(top_srcdir)/Makefile.incl.am
63 @NEED_JAVA_TRUE@am__append_1 = java
64 subdir = modules/intersci
65 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
66 am__aclocal_m4_deps = $(top_srcdir)/m4/docbook.m4 \
67         $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
68         $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
69         $(top_srcdir)/m4/intel_compiler.m4 \
70         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
71         $(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/libsmath.m4 \
72         $(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/libxml2.m4 \
73         $(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
74         $(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
75         $(top_srcdir)/m4/ocaml.m4 $(top_srcdir)/m4/pcre.m4 \
76         $(top_srcdir)/m4/pkg.m4 $(top_srcdir)/m4/pvm.m4 \
77         $(top_srcdir)/m4/relocatable.m4 $(top_srcdir)/m4/swig.m4 \
78         $(top_srcdir)/m4/symlinks.m4 $(top_srcdir)/m4/tcltk.m4 \
79         $(top_srcdir)/m4/umfpack.m4 $(top_srcdir)/configure.ac
80 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
81         $(ACLOCAL_M4)
82 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
83 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
84 CONFIG_CLEAN_FILES =
85 CONFIG_CLEAN_VPATH_FILES =
86 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
87 am__vpath_adj = case $$p in \
88     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
89     *) f=$$p;; \
90   esac;
91 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
92 am__install_max = 40
93 am__nobase_strip_setup = \
94   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
95 am__nobase_strip = \
96   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
97 am__nobase_list = $(am__nobase_strip_setup); \
98   for p in $$list; do echo "$$p $$p"; done | \
99   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
100   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
101     if (++n[$$2] == $(am__install_max)) \
102       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
103     END { for (dir in files) print dir, files[dir] }'
104 am__base_list = \
105   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
106   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
107 am__installdirs = "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(bindir)" \
108         "$(DESTDIR)$(libsciintersci_la_etcdir)" \
109         "$(DESTDIR)$(libsciintersci_la_rootdir)"
110 LTLIBRARIES = $(pkglib_LTLIBRARIES)
111 libsciintersci_la_DEPENDENCIES =  \
112         $(top_builddir)/libs/MALLOC/libscimalloc.la \
113         $(top_builddir)/modules/output_stream/libscioutput_stream.la \
114         $(top_builddir)/modules/string/libscistring.la
115 am__objects_1 = libsciintersci_la-libinter.lo libsciintersci_la-out.lo
116 am_libsciintersci_la_OBJECTS = $(am__objects_1)
117 libsciintersci_la_OBJECTS = $(am_libsciintersci_la_OBJECTS)
118 libsciintersci_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
119         $(LIBTOOLFLAGS) --mode=link $(CCLD) \
120         $(libsciintersci_la_CFLAGS) $(CFLAGS) \
121         $(libsciintersci_la_LDFLAGS) $(LDFLAGS) -o $@
122 PROGRAMS = $(bin_PROGRAMS)
123 am__objects_2 = intersci-n.$(OBJEXT) getrhs.$(OBJEXT) crerhs.$(OBJEXT) \
124         variables.$(OBJEXT) read.$(OBJEXT) fornames.$(OBJEXT) \
125         out-e.$(OBJEXT) outext.$(OBJEXT) declare.$(OBJEXT) \
126         opt.$(OBJEXT) check.$(OBJEXT)
127 am_intersci_OBJECTS = $(am__objects_2)
128 intersci_OBJECTS = $(am_intersci_OBJECTS)
129 intersci_LDADD = $(LDADD)
130 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
131 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
132 am__depfiles_maybe = depfiles
133 am__mv = mv -f
134 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
135         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
136 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
137         --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
138         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
139 CCLD = $(CC)
140 LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
141         --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
142         $(LDFLAGS) -o $@
143 SOURCES = $(libsciintersci_la_SOURCES) $(intersci_SOURCES)
144 DIST_SOURCES = $(libsciintersci_la_SOURCES) $(intersci_SOURCES)
145 DATA = $(libsciintersci_la_etc_DATA) $(libsciintersci_la_root_DATA)
146 ETAGS = etags
147 CTAGS = ctags
148 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
149 ACLOCAL = @ACLOCAL@
150 ALL_LINGUAS = @ALL_LINGUAS@
151 AMTAR = @AMTAR@
152 ANT = @ANT@
153 ANTLR = @ANTLR@
154 AR = @AR@
155 AUTOCONF = @AUTOCONF@
156 AUTOHEADER = @AUTOHEADER@
157 AUTOMAKE = @AUTOMAKE@
158 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
159 AWK = @AWK@
160 BATIK = @BATIK@
161 BLAS_LIBS = @BLAS_LIBS@
162 CC = @CC@
163 CCDEPMODE = @CCDEPMODE@
164 CFLAGS = @CFLAGS@
165 CHECKSTYLE = @CHECKSTYLE@
166 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
167 COMMONS_IO = @COMMONS_IO@
168 COMMONS_LOGGING = @COMMONS_LOGGING@
169 CPP = @CPP@
170 CPPFLAGS = @CPPFLAGS@
171 CXX = @CXX@
172 CXXCPP = @CXXCPP@
173 CXXDEPMODE = @CXXDEPMODE@
174 CXXFLAGS = @CXXFLAGS@
175 CYGPATH_W = @CYGPATH_W@
176 DEFS = @DEFS@
177 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
178 DEPDIR = @DEPDIR@
179 DOCBOOK_ROOT = @DOCBOOK_ROOT@
180 DSYMUTIL = @DSYMUTIL@
181 DUMPBIN = @DUMPBIN@
182 ECHO_C = @ECHO_C@
183 ECHO_N = @ECHO_N@
184 ECHO_T = @ECHO_T@
185 EGREP = @EGREP@
186 EXEEXT = @EXEEXT@
187 F77 = @F77@
188 FFLAGS = @FFLAGS@
189 FFTW3_LIB = @FFTW3_LIB@
190 FFTW_ENABLE = @FFTW_ENABLE@
191 FGREP = @FGREP@
192 FLEXDOCK = @FLEXDOCK@
193 FLIBS = @FLIBS@
194 FOP = @FOP@
195 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
196 GIWS_BIN = @GIWS_BIN@
197 GLUEGEN_RT = @GLUEGEN_RT@
198 GMSGFMT = @GMSGFMT@
199 GMSGFMT_015 = @GMSGFMT_015@
200 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
201 GREP = @GREP@
202 GUI_ENABLE = @GUI_ENABLE@
203 HDF5_CFLAGS = @HDF5_CFLAGS@
204 HDF5_ENABLE = @HDF5_ENABLE@
205 HDF5_LIBS = @HDF5_LIBS@
206 HELP_ENABLE = @HELP_ENABLE@
207 INSTALL = @INSTALL@
208 INSTALL_DATA = @INSTALL_DATA@
209 INSTALL_PROGRAM = @INSTALL_PROGRAM@
210 INSTALL_SCRIPT = @INSTALL_SCRIPT@
211 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
212 INTLLIBS = @INTLLIBS@
213 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
214 JAR = @JAR@
215 JAVA = @JAVA@
216 JAVAC = @JAVAC@
217 JAVAH = @JAVAH@
218 JAVASCI_ENABLE = @JAVASCI_ENABLE@
219 JAVA_DEBUG_OPTIONS = @JAVA_DEBUG_OPTIONS@
220 JAVA_ENABLE = @JAVA_ENABLE@
221 JAVA_G = @JAVA_G@
222 JAVA_HOME = @JAVA_HOME@
223 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
224 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
225 JDB = @JDB@
226 JEUCLID_CORE = @JEUCLID_CORE@
227 JGRAPHX = @JGRAPHX@
228 JHALL = @JHALL@
229 JHDF5 = @JHDF5@
230 JLATEXMATH = @JLATEXMATH@
231 JOGL = @JOGL@
232 JROSETTA_API = @JROSETTA_API@
233 JROSETTA_ENGINE = @JROSETTA_ENGINE@
234 LAPACK_LIBS = @LAPACK_LIBS@
235 LD = @LD@
236 LDFLAGS = @LDFLAGS@
237 LIBICONV = @LIBICONV@
238 LIBINTL = @LIBINTL@
239 LIBOBJS = @LIBOBJS@
240 LIBS = @LIBS@
241 LIBTOOL = @LIBTOOL@
242 LIPO = @LIPO@
243 LN_S = @LN_S@
244 LOOKS = @LOOKS@
245 LTLIBICONV = @LTLIBICONV@
246 LTLIBINTL = @LTLIBINTL@
247 LTLIBOBJS = @LTLIBOBJS@
248 MAINT = @MAINT@
249 MAKEINFO = @MAKEINFO@
250 MATIO_CFLAGS = @MATIO_CFLAGS@
251 MATIO_ENABLE = @MATIO_ENABLE@
252 MATIO_LIBS = @MATIO_LIBS@
253 MKDIR_P = @MKDIR_P@
254 MSGCAT = @MSGCAT@
255 MSGFMT = @MSGFMT@
256 MSGFMT_015 = @MSGFMT_015@
257 MSGMERGE = @MSGMERGE@
258 NM = @NM@
259 NMEDIT = @NMEDIT@
260 OBJDUMP = @OBJDUMP@
261 OBJEXT = @OBJEXT@
262 OCAMLC = @OCAMLC@
263 OCAMLDEP = @OCAMLDEP@
264 OCAMLLEX = @OCAMLLEX@
265 OCAMLOPT = @OCAMLOPT@
266 OCAMLYACC = @OCAMLYACC@
267 OTOOL = @OTOOL@
268 OTOOL64 = @OTOOL64@
269 PACKAGE = @PACKAGE@
270 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
271 PACKAGE_NAME = @PACKAGE_NAME@
272 PACKAGE_STRING = @PACKAGE_STRING@
273 PACKAGE_TARNAME = @PACKAGE_TARNAME@
274 PACKAGE_URL = @PACKAGE_URL@
275 PACKAGE_VERSION = @PACKAGE_VERSION@
276 PATH_SEPARATOR = @PATH_SEPARATOR@
277 PCRE_CFLAGS = @PCRE_CFLAGS@
278 PCRE_CONFIG = @PCRE_CONFIG@
279 PCRE_LIBS = @PCRE_LIBS@
280 PCRE_VERSION = @PCRE_VERSION@
281 PKG_CONFIG = @PKG_CONFIG@
282 POSUB = @POSUB@
283 POW_LIB = @POW_LIB@
284 PVMGETARCH = @PVMGETARCH@
285 PVM_ARCH = @PVM_ARCH@
286 PVM_ENABLE = @PVM_ENABLE@
287 PVM_INCLUDE = @PVM_INCLUDE@
288 PVM_LIB = @PVM_LIB@
289 PYTHON = @PYTHON@
290 RANLIB = @RANLIB@
291 RELOCATABLE = @RELOCATABLE@
292 RT_LIB = @RT_LIB@
293 SAXON = @SAXON@
294 SCICOS_ENABLE = @SCICOS_ENABLE@
295 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
296 SED = @SED@
297 SET_MAKE = @SET_MAKE@
298 SET_RELOCATABLE = @SET_RELOCATABLE@
299 SHELL = @SHELL@
300 SKINLF = @SKINLF@
301 SPLINT = @SPLINT@
302 STRIP = @STRIP@
303 SWIG_BIN = @SWIG_BIN@
304 SWIG_JAVA = @SWIG_JAVA@
305 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
306 TCLTK_LIBS = @TCLTK_LIBS@
307 TCL_INC_PATH = @TCL_INC_PATH@
308 TK_INC_PATH = @TK_INC_PATH@
309 UMFPACK_ENABLE = @UMFPACK_ENABLE@
310 UMFPACK_LIB = @UMFPACK_LIB@
311 USE_NLS = @USE_NLS@
312 VERSION = @VERSION@
313 WITH_OCAML = @WITH_OCAML@
314 WITH_TKSCI = @WITH_TKSCI@
315 XGETTEXT = @XGETTEXT@
316 XGETTEXT_015 = @XGETTEXT_015@
317 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
318 XMKMF = @XMKMF@
319 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
320 XML_APIS_EXT = @XML_APIS_EXT@
321 XML_CONFIG = @XML_CONFIG@
322 XML_FLAGS = @XML_FLAGS@
323 XML_LIBS = @XML_LIBS@
324 XML_VERSION = @XML_VERSION@
325 X_CFLAGS = @X_CFLAGS@
326 X_EXTRA_LIBS = @X_EXTRA_LIBS@
327 X_LIBS = @X_LIBS@
328 X_PRE_LIBS = @X_PRE_LIBS@
329 abs_builddir = @abs_builddir@
330 abs_srcdir = @abs_srcdir@
331 abs_top_builddir = @abs_top_builddir@
332 abs_top_srcdir = @abs_top_srcdir@
333 ac_ct_CC = @ac_ct_CC@
334 ac_ct_CXX = @ac_ct_CXX@
335 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
336 ac_ct_F77 = @ac_ct_F77@
337 am__include = @am__include@
338 am__leading_dot = @am__leading_dot@
339 am__quote = @am__quote@
340 am__tar = @am__tar@
341 am__untar = @am__untar@
342 bindir = @bindir@
343 build = @build@
344 build_alias = @build_alias@
345 build_cpu = @build_cpu@
346 build_os = @build_os@
347 build_vendor = @build_vendor@
348 builddir = @builddir@
349 cxx_present = @cxx_present@
350 datadir = @datadir@
351 datarootdir = @datarootdir@
352 docdir = @docdir@
353 dvidir = @dvidir@
354 exec_prefix = @exec_prefix@
355 host = @host@
356 host_alias = @host_alias@
357 host_cpu = @host_cpu@
358 host_os = @host_os@
359 host_vendor = @host_vendor@
360 htmldir = @htmldir@
361 includedir = @includedir@
362 infodir = @infodir@
363 install_sh = @install_sh@
364 libdir = @libdir@
365 libexecdir = @libexecdir@
366 localedir = @localedir@
367 localstatedir = @localstatedir@
368 mandir = @mandir@
369 mkdir_p = @mkdir_p@
370 oldincludedir = @oldincludedir@
371 pdfdir = @pdfdir@
372 prefix = @prefix@
373 program_transform_name = @program_transform_name@
374 psdir = @psdir@
375 sbindir = @sbindir@
376 sharedstatedir = @sharedstatedir@
377 srcdir = @srcdir@
378 sysconfdir = @sysconfdir@
379 target_alias = @target_alias@
380 top_build_prefix = @top_build_prefix@
381 top_builddir = @top_builddir@
382 top_srcdir = @top_srcdir@
383 INTERSCI_LIB_C_SOURCES = \
384 src/lib/libinter.c \
385 src/lib/out.c
386
387 INTERSCI_EXE_C_SOURCES = \
388 src/exe/intersci-n.c \
389 src/exe/getrhs.c \
390 src/exe/crerhs.c \
391 src/exe/variables.c \
392 src/exe/read.c \
393 src/exe/fornames.c \
394 src/exe/out-e.c \
395 src/exe/outext.c \
396 src/exe/declare.c \
397 src/exe/opt.c \
398 src/exe/check.c
399
400 libsciintersci_la_includedir = $(pkgincludedir)
401 pkglib_LTLIBRARIES = libsciintersci.la
402 libsciintersci_la_LDFLAGS = -version-info $(SCILAB_LIBRARY_VERSION)
403 intersci_SOURCES = $(INTERSCI_EXE_C_SOURCES)
404 libsciintersci_la_SOURCES = $(INTERSCI_LIB_C_SOURCES)
405 libsciintersci_la_CFLAGS = -I$(top_srcdir)/libs/MALLOC/includes/ \
406                                 -I$(top_srcdir)/modules/output_stream/includes \
407                                 -I$(srcdir)/includes \
408                 -I$(top_srcdir)/modules/string/includes 
409
410
411 # For the code check (splint)
412 CHECK_SRC = $(libsciintersci_la_SOURCES)
413 INCLUDE_FLAGS = $(libsciintersci_la_CFLAGS)
414 libsciintersci_la_LIBADD = \
415         $(top_builddir)/libs/MALLOC/libscimalloc.la \
416         $(top_builddir)/modules/output_stream/libscioutput_stream.la \
417     $(top_builddir)/modules/string/libscistring.la
418
419
420 #### Target ######
421 modulename = intersci
422
423 #### intersci : Conf files ####
424 libsciintersci_la_rootdir = $(mydatadir)
425 libsciintersci_la_root_DATA = changelog.txt license.txt readme.txt version.xml
426
427 ####┬áintersci : init scripts ####
428 libsciintersci_la_etcdir = $(mydatadir)/etc
429 libsciintersci_la_etc_DATA = etc/intersci.quit etc/intersci.start
430
431 # Where all the Scilab stuff is installed (macros, help, ...)
432 mydatadir = $(pkgdatadir)/modules/$(modulename)
433
434 # splint options
435 SPLINT_OPTIONS = -weak -booltype BOOL
436
437 ########################### JAVA ######################################
438 #### We are delegating java compilation to ant... Thanks to that
439 #### the procedure will be the same with Microsoft Windows (C)
440 #### and Linux/Unix
441 #######################################################################
442 TARGETS_ALL = $(am__append_1)
443
444 ################ MACROS ######################
445 # Rule to build a macro
446 # NOT USED  AT THE MOMENT
447 SUFFIXES = .sci 
448
449 ########### INSTALL DOCUMENTATION ###################
450
451 # Install documentation files into the right target
452 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
453 # automake needs the html files to be present which is not the case when
454 # we are building Scilab
455
456 # Where it should be installed
457 pkgdocdir = $(mydatadir)
458
459 # What is the mask of the help source
460 DOCMASKXML = *.xml
461
462 # What is the mask of the MathML sources
463 DOCMASKMML = *.mml
464
465 ########### INSTALL DATA ###################
466 # Install macros, help & demos
467 # Where it should be installed
468 pkgmacrosdir = $(mydatadir)
469 # Which directory we process
470 MACRODIRS = macros/
471 # Mask of the Scilab sources macros
472 MACROMASK = *.sci
473 # Mask of the Scilab executable sources macros
474 MACROBUILDMASK = *.sce
475 # Mask of the Scilab compiled macros
476 MACROBINMASK = *.bin
477 # List of the standard directory for tests
478 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests
479 # Where the demos should be installed
480 pkgdemosdir = $(mydatadir)
481 # List of the standard directory for demos
482 DEMOS_DIR = demos
483 # List of the standard directory for examples
484 EXAMPLES_DIR = examples
485 # Where to export JAVA archives (.jar)
486 JARDIR = jar/
487 # JAR files mask
488 JARMASK = *.jar
489 # Chapter file 
490 HELP_CHAPTERDIR = help/
491 HELP_CHAPTERFILE = addchapter.sce
492 HELP_CHAPTERLANG = en_US fr_FR pt_BR
493 all: all-am
494
495 .SUFFIXES:
496 .SUFFIXES: .sci .bin .c .lo .o .obj
497 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
498         @for dep in $?; do \
499           case '$(am__configure_deps)' in \
500             *$$dep*) \
501               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
502                 && { if test -f $@; then exit 0; else break; fi; }; \
503               exit 1;; \
504           esac; \
505         done; \
506         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/intersci/Makefile'; \
507         $(am__cd) $(top_srcdir) && \
508           $(AUTOMAKE) --foreign modules/intersci/Makefile
509 .PRECIOUS: Makefile
510 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
511         @case '$?' in \
512           *config.status*) \
513             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
514           *) \
515             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
516             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
517         esac;
518
519 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
520         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
521
522 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
523         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
524 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
525         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
526 $(am__aclocal_m4_deps):
527 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
528         @$(NORMAL_INSTALL)
529         test -z "$(pkglibdir)" || $(MKDIR_P) "$(DESTDIR)$(pkglibdir)"
530         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
531         list2=; for p in $$list; do \
532           if test -f $$p; then \
533             list2="$$list2 $$p"; \
534           else :; fi; \
535         done; \
536         test -z "$$list2" || { \
537           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
538           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
539         }
540
541 uninstall-pkglibLTLIBRARIES:
542         @$(NORMAL_UNINSTALL)
543         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
544         for p in $$list; do \
545           $(am__strip_dir) \
546           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
547           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
548         done
549
550 clean-pkglibLTLIBRARIES:
551         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
552         @list='$(pkglib_LTLIBRARIES)'; for p in $$list; do \
553           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
554           test "$$dir" != "$$p" || dir=.; \
555           echo "rm -f \"$${dir}/so_locations\""; \
556           rm -f "$${dir}/so_locations"; \
557         done
558 libsciintersci.la: $(libsciintersci_la_OBJECTS) $(libsciintersci_la_DEPENDENCIES) 
559         $(libsciintersci_la_LINK) -rpath $(pkglibdir) $(libsciintersci_la_OBJECTS) $(libsciintersci_la_LIBADD) $(LIBS)
560 install-binPROGRAMS: $(bin_PROGRAMS)
561         @$(NORMAL_INSTALL)
562         test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"
563         @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
564         for p in $$list; do echo "$$p $$p"; done | \
565         sed 's/$(EXEEXT)$$//' | \
566         while read p p1; do if test -f $$p || test -f $$p1; \
567           then echo "$$p"; echo "$$p"; else :; fi; \
568         done | \
569         sed -e 'p;s,.*/,,;n;h' -e 's|.*|.|' \
570             -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
571         sed 'N;N;N;s,\n, ,g' | \
572         $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
573           { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
574             if ($$2 == $$4) files[d] = files[d] " " $$1; \
575             else { print "f", $$3 "/" $$4, $$1; } } \
576           END { for (d in files) print "f", d, files[d] }' | \
577         while read type dir files; do \
578             if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
579             test -z "$$files" || { \
580             echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(bindir)$$dir'"; \
581             $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
582             } \
583         ; done
584
585 uninstall-binPROGRAMS:
586         @$(NORMAL_UNINSTALL)
587         @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
588         files=`for p in $$list; do echo "$$p"; done | \
589           sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
590               -e 's/$$/$(EXEEXT)/' `; \
591         test -n "$$list" || exit 0; \
592         echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
593         cd "$(DESTDIR)$(bindir)" && rm -f $$files
594
595 clean-binPROGRAMS:
596         @list='$(bin_PROGRAMS)'; test -n "$$list" || exit 0; \
597         echo " rm -f" $$list; \
598         rm -f $$list || exit $$?; \
599         test -n "$(EXEEXT)" || exit 0; \
600         list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
601         echo " rm -f" $$list; \
602         rm -f $$list
603 intersci$(EXEEXT): $(intersci_OBJECTS) $(intersci_DEPENDENCIES) 
604         @rm -f intersci$(EXEEXT)
605         $(LINK) $(intersci_OBJECTS) $(intersci_LDADD) $(LIBS)
606
607 mostlyclean-compile:
608         -rm -f *.$(OBJEXT)
609
610 distclean-compile:
611         -rm -f *.tab.c
612
613 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/check.Po@am__quote@
614 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/crerhs.Po@am__quote@
615 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/declare.Po@am__quote@
616 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/fornames.Po@am__quote@
617 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/getrhs.Po@am__quote@
618 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/intersci-n.Po@am__quote@
619 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciintersci_la-libinter.Plo@am__quote@
620 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciintersci_la-out.Plo@am__quote@
621 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/opt.Po@am__quote@
622 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/out-e.Po@am__quote@
623 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/outext.Po@am__quote@
624 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/read.Po@am__quote@
625 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/variables.Po@am__quote@
626
627 .c.o:
628 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
629 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
630 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
631 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
632 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
633
634 .c.obj:
635 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
636 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
637 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
638 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
639 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
640
641 .c.lo:
642 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
643 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
644 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
645 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
646 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
647
648 libsciintersci_la-libinter.lo: src/lib/libinter.c
649 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciintersci_la_CFLAGS) $(CFLAGS) -MT libsciintersci_la-libinter.lo -MD -MP -MF $(DEPDIR)/libsciintersci_la-libinter.Tpo -c -o libsciintersci_la-libinter.lo `test -f 'src/lib/libinter.c' || echo '$(srcdir)/'`src/lib/libinter.c
650 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciintersci_la-libinter.Tpo $(DEPDIR)/libsciintersci_la-libinter.Plo
651 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/lib/libinter.c' object='libsciintersci_la-libinter.lo' libtool=yes @AMDEPBACKSLASH@
652 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
653 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciintersci_la_CFLAGS) $(CFLAGS) -c -o libsciintersci_la-libinter.lo `test -f 'src/lib/libinter.c' || echo '$(srcdir)/'`src/lib/libinter.c
654
655 libsciintersci_la-out.lo: src/lib/out.c
656 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciintersci_la_CFLAGS) $(CFLAGS) -MT libsciintersci_la-out.lo -MD -MP -MF $(DEPDIR)/libsciintersci_la-out.Tpo -c -o libsciintersci_la-out.lo `test -f 'src/lib/out.c' || echo '$(srcdir)/'`src/lib/out.c
657 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciintersci_la-out.Tpo $(DEPDIR)/libsciintersci_la-out.Plo
658 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/lib/out.c' object='libsciintersci_la-out.lo' libtool=yes @AMDEPBACKSLASH@
659 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
660 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciintersci_la_CFLAGS) $(CFLAGS) -c -o libsciintersci_la-out.lo `test -f 'src/lib/out.c' || echo '$(srcdir)/'`src/lib/out.c
661
662 intersci-n.o: src/exe/intersci-n.c
663 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT intersci-n.o -MD -MP -MF $(DEPDIR)/intersci-n.Tpo -c -o intersci-n.o `test -f 'src/exe/intersci-n.c' || echo '$(srcdir)/'`src/exe/intersci-n.c
664 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/intersci-n.Tpo $(DEPDIR)/intersci-n.Po
665 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/exe/intersci-n.c' object='intersci-n.o' libtool=no @AMDEPBACKSLASH@
666 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
667 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o intersci-n.o `test -f 'src/exe/intersci-n.c' || echo '$(srcdir)/'`src/exe/intersci-n.c
668
669 intersci-n.obj: src/exe/intersci-n.c
670 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT intersci-n.obj -MD -MP -MF $(DEPDIR)/intersci-n.Tpo -c -o intersci-n.obj `if test -f 'src/exe/intersci-n.c'; then $(CYGPATH_W) 'src/exe/intersci-n.c'; else $(CYGPATH_W) '$(srcdir)/src/exe/intersci-n.c'; fi`
671 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/intersci-n.Tpo $(DEPDIR)/intersci-n.Po
672 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/exe/intersci-n.c' object='intersci-n.obj' libtool=no @AMDEPBACKSLASH@
673 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
674 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o intersci-n.obj `if test -f 'src/exe/intersci-n.c'; then $(CYGPATH_W) 'src/exe/intersci-n.c'; else $(CYGPATH_W) '$(srcdir)/src/exe/intersci-n.c'; fi`
675
676 getrhs.o: src/exe/getrhs.c
677 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT getrhs.o -MD -MP -MF $(DEPDIR)/getrhs.Tpo -c -o getrhs.o `test -f 'src/exe/getrhs.c' || echo '$(srcdir)/'`src/exe/getrhs.c
678 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/getrhs.Tpo $(DEPDIR)/getrhs.Po
679 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/exe/getrhs.c' object='getrhs.o' libtool=no @AMDEPBACKSLASH@
680 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
681 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o getrhs.o `test -f 'src/exe/getrhs.c' || echo '$(srcdir)/'`src/exe/getrhs.c
682
683 getrhs.obj: src/exe/getrhs.c
684 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT getrhs.obj -MD -MP -MF $(DEPDIR)/getrhs.Tpo -c -o getrhs.obj `if test -f 'src/exe/getrhs.c'; then $(CYGPATH_W) 'src/exe/getrhs.c'; else $(CYGPATH_W) '$(srcdir)/src/exe/getrhs.c'; fi`
685 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/getrhs.Tpo $(DEPDIR)/getrhs.Po
686 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/exe/getrhs.c' object='getrhs.obj' libtool=no @AMDEPBACKSLASH@
687 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
688 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o getrhs.obj `if test -f 'src/exe/getrhs.c'; then $(CYGPATH_W) 'src/exe/getrhs.c'; else $(CYGPATH_W) '$(srcdir)/src/exe/getrhs.c'; fi`
689
690 crerhs.o: src/exe/crerhs.c
691 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT crerhs.o -MD -MP -MF $(DEPDIR)/crerhs.Tpo -c -o crerhs.o `test -f 'src/exe/crerhs.c' || echo '$(srcdir)/'`src/exe/crerhs.c
692 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/crerhs.Tpo $(DEPDIR)/crerhs.Po
693 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/exe/crerhs.c' object='crerhs.o' libtool=no @AMDEPBACKSLASH@
694 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
695 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o crerhs.o `test -f 'src/exe/crerhs.c' || echo '$(srcdir)/'`src/exe/crerhs.c
696
697 crerhs.obj: src/exe/crerhs.c
698 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT crerhs.obj -MD -MP -MF $(DEPDIR)/crerhs.Tpo -c -o crerhs.obj `if test -f 'src/exe/crerhs.c'; then $(CYGPATH_W) 'src/exe/crerhs.c'; else $(CYGPATH_W) '$(srcdir)/src/exe/crerhs.c'; fi`
699 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/crerhs.Tpo $(DEPDIR)/crerhs.Po
700 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/exe/crerhs.c' object='crerhs.obj' libtool=no @AMDEPBACKSLASH@
701 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
702 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o crerhs.obj `if test -f 'src/exe/crerhs.c'; then $(CYGPATH_W) 'src/exe/crerhs.c'; else $(CYGPATH_W) '$(srcdir)/src/exe/crerhs.c'; fi`
703
704 variables.o: src/exe/variables.c
705 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT variables.o -MD -MP -MF $(DEPDIR)/variables.Tpo -c -o variables.o `test -f 'src/exe/variables.c' || echo '$(srcdir)/'`src/exe/variables.c
706 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/variables.Tpo $(DEPDIR)/variables.Po
707 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/exe/variables.c' object='variables.o' libtool=no @AMDEPBACKSLASH@
708 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
709 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o variables.o `test -f 'src/exe/variables.c' || echo '$(srcdir)/'`src/exe/variables.c
710
711 variables.obj: src/exe/variables.c
712 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT variables.obj -MD -MP -MF $(DEPDIR)/variables.Tpo -c -o variables.obj `if test -f 'src/exe/variables.c'; then $(CYGPATH_W) 'src/exe/variables.c'; else $(CYGPATH_W) '$(srcdir)/src/exe/variables.c'; fi`
713 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/variables.Tpo $(DEPDIR)/variables.Po
714 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/exe/variables.c' object='variables.obj' libtool=no @AMDEPBACKSLASH@
715 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
716 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o variables.obj `if test -f 'src/exe/variables.c'; then $(CYGPATH_W) 'src/exe/variables.c'; else $(CYGPATH_W) '$(srcdir)/src/exe/variables.c'; fi`
717
718 read.o: src/exe/read.c
719 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT read.o -MD -MP -MF $(DEPDIR)/read.Tpo -c -o read.o `test -f 'src/exe/read.c' || echo '$(srcdir)/'`src/exe/read.c
720 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/read.Tpo $(DEPDIR)/read.Po
721 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/exe/read.c' object='read.o' libtool=no @AMDEPBACKSLASH@
722 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
723 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o read.o `test -f 'src/exe/read.c' || echo '$(srcdir)/'`src/exe/read.c
724
725 read.obj: src/exe/read.c
726 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT read.obj -MD -MP -MF $(DEPDIR)/read.Tpo -c -o read.obj `if test -f 'src/exe/read.c'; then $(CYGPATH_W) 'src/exe/read.c'; else $(CYGPATH_W) '$(srcdir)/src/exe/read.c'; fi`
727 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/read.Tpo $(DEPDIR)/read.Po
728 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/exe/read.c' object='read.obj' libtool=no @AMDEPBACKSLASH@
729 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
730 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o read.obj `if test -f 'src/exe/read.c'; then $(CYGPATH_W) 'src/exe/read.c'; else $(CYGPATH_W) '$(srcdir)/src/exe/read.c'; fi`
731
732 fornames.o: src/exe/fornames.c
733 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT fornames.o -MD -MP -MF $(DEPDIR)/fornames.Tpo -c -o fornames.o `test -f 'src/exe/fornames.c' || echo '$(srcdir)/'`src/exe/fornames.c
734 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/fornames.Tpo $(DEPDIR)/fornames.Po
735 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/exe/fornames.c' object='fornames.o' libtool=no @AMDEPBACKSLASH@
736 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
737 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o fornames.o `test -f 'src/exe/fornames.c' || echo '$(srcdir)/'`src/exe/fornames.c
738
739 fornames.obj: src/exe/fornames.c
740 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT fornames.obj -MD -MP -MF $(DEPDIR)/fornames.Tpo -c -o fornames.obj `if test -f 'src/exe/fornames.c'; then $(CYGPATH_W) 'src/exe/fornames.c'; else $(CYGPATH_W) '$(srcdir)/src/exe/fornames.c'; fi`
741 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/fornames.Tpo $(DEPDIR)/fornames.Po
742 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/exe/fornames.c' object='fornames.obj' libtool=no @AMDEPBACKSLASH@
743 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
744 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o fornames.obj `if test -f 'src/exe/fornames.c'; then $(CYGPATH_W) 'src/exe/fornames.c'; else $(CYGPATH_W) '$(srcdir)/src/exe/fornames.c'; fi`
745
746 out-e.o: src/exe/out-e.c
747 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT out-e.o -MD -MP -MF $(DEPDIR)/out-e.Tpo -c -o out-e.o `test -f 'src/exe/out-e.c' || echo '$(srcdir)/'`src/exe/out-e.c
748 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/out-e.Tpo $(DEPDIR)/out-e.Po
749 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/exe/out-e.c' object='out-e.o' libtool=no @AMDEPBACKSLASH@
750 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
751 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o out-e.o `test -f 'src/exe/out-e.c' || echo '$(srcdir)/'`src/exe/out-e.c
752
753 out-e.obj: src/exe/out-e.c
754 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT out-e.obj -MD -MP -MF $(DEPDIR)/out-e.Tpo -c -o out-e.obj `if test -f 'src/exe/out-e.c'; then $(CYGPATH_W) 'src/exe/out-e.c'; else $(CYGPATH_W) '$(srcdir)/src/exe/out-e.c'; fi`
755 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/out-e.Tpo $(DEPDIR)/out-e.Po
756 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/exe/out-e.c' object='out-e.obj' libtool=no @AMDEPBACKSLASH@
757 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
758 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o out-e.obj `if test -f 'src/exe/out-e.c'; then $(CYGPATH_W) 'src/exe/out-e.c'; else $(CYGPATH_W) '$(srcdir)/src/exe/out-e.c'; fi`
759
760 outext.o: src/exe/outext.c
761 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT outext.o -MD -MP -MF $(DEPDIR)/outext.Tpo -c -o outext.o `test -f 'src/exe/outext.c' || echo '$(srcdir)/'`src/exe/outext.c
762 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/outext.Tpo $(DEPDIR)/outext.Po
763 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/exe/outext.c' object='outext.o' libtool=no @AMDEPBACKSLASH@
764 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
765 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o outext.o `test -f 'src/exe/outext.c' || echo '$(srcdir)/'`src/exe/outext.c
766
767 outext.obj: src/exe/outext.c
768 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT outext.obj -MD -MP -MF $(DEPDIR)/outext.Tpo -c -o outext.obj `if test -f 'src/exe/outext.c'; then $(CYGPATH_W) 'src/exe/outext.c'; else $(CYGPATH_W) '$(srcdir)/src/exe/outext.c'; fi`
769 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/outext.Tpo $(DEPDIR)/outext.Po
770 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/exe/outext.c' object='outext.obj' libtool=no @AMDEPBACKSLASH@
771 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
772 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o outext.obj `if test -f 'src/exe/outext.c'; then $(CYGPATH_W) 'src/exe/outext.c'; else $(CYGPATH_W) '$(srcdir)/src/exe/outext.c'; fi`
773
774 declare.o: src/exe/declare.c
775 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT declare.o -MD -MP -MF $(DEPDIR)/declare.Tpo -c -o declare.o `test -f 'src/exe/declare.c' || echo '$(srcdir)/'`src/exe/declare.c
776 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/declare.Tpo $(DEPDIR)/declare.Po
777 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/exe/declare.c' object='declare.o' libtool=no @AMDEPBACKSLASH@
778 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
779 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o declare.o `test -f 'src/exe/declare.c' || echo '$(srcdir)/'`src/exe/declare.c
780
781 declare.obj: src/exe/declare.c
782 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT declare.obj -MD -MP -MF $(DEPDIR)/declare.Tpo -c -o declare.obj `if test -f 'src/exe/declare.c'; then $(CYGPATH_W) 'src/exe/declare.c'; else $(CYGPATH_W) '$(srcdir)/src/exe/declare.c'; fi`
783 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/declare.Tpo $(DEPDIR)/declare.Po
784 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/exe/declare.c' object='declare.obj' libtool=no @AMDEPBACKSLASH@
785 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
786 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o declare.obj `if test -f 'src/exe/declare.c'; then $(CYGPATH_W) 'src/exe/declare.c'; else $(CYGPATH_W) '$(srcdir)/src/exe/declare.c'; fi`
787
788 opt.o: src/exe/opt.c
789 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT opt.o -MD -MP -MF $(DEPDIR)/opt.Tpo -c -o opt.o `test -f 'src/exe/opt.c' || echo '$(srcdir)/'`src/exe/opt.c
790 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/opt.Tpo $(DEPDIR)/opt.Po
791 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/exe/opt.c' object='opt.o' libtool=no @AMDEPBACKSLASH@
792 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
793 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o opt.o `test -f 'src/exe/opt.c' || echo '$(srcdir)/'`src/exe/opt.c
794
795 opt.obj: src/exe/opt.c
796 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT opt.obj -MD -MP -MF $(DEPDIR)/opt.Tpo -c -o opt.obj `if test -f 'src/exe/opt.c'; then $(CYGPATH_W) 'src/exe/opt.c'; else $(CYGPATH_W) '$(srcdir)/src/exe/opt.c'; fi`
797 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/opt.Tpo $(DEPDIR)/opt.Po
798 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/exe/opt.c' object='opt.obj' libtool=no @AMDEPBACKSLASH@
799 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
800 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o opt.obj `if test -f 'src/exe/opt.c'; then $(CYGPATH_W) 'src/exe/opt.c'; else $(CYGPATH_W) '$(srcdir)/src/exe/opt.c'; fi`
801
802 check.o: src/exe/check.c
803 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT check.o -MD -MP -MF $(DEPDIR)/check.Tpo -c -o check.o `test -f 'src/exe/check.c' || echo '$(srcdir)/'`src/exe/check.c
804 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/check.Tpo $(DEPDIR)/check.Po
805 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/exe/check.c' object='check.o' libtool=no @AMDEPBACKSLASH@
806 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
807 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o check.o `test -f 'src/exe/check.c' || echo '$(srcdir)/'`src/exe/check.c
808
809 check.obj: src/exe/check.c
810 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT check.obj -MD -MP -MF $(DEPDIR)/check.Tpo -c -o check.obj `if test -f 'src/exe/check.c'; then $(CYGPATH_W) 'src/exe/check.c'; else $(CYGPATH_W) '$(srcdir)/src/exe/check.c'; fi`
811 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/check.Tpo $(DEPDIR)/check.Po
812 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/exe/check.c' object='check.obj' libtool=no @AMDEPBACKSLASH@
813 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
814 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o check.obj `if test -f 'src/exe/check.c'; then $(CYGPATH_W) 'src/exe/check.c'; else $(CYGPATH_W) '$(srcdir)/src/exe/check.c'; fi`
815
816 mostlyclean-libtool:
817         -rm -f *.lo
818
819 clean-libtool:
820         -rm -rf .libs _libs
821 install-libsciintersci_la_etcDATA: $(libsciintersci_la_etc_DATA)
822         @$(NORMAL_INSTALL)
823         test -z "$(libsciintersci_la_etcdir)" || $(MKDIR_P) "$(DESTDIR)$(libsciintersci_la_etcdir)"
824         @list='$(libsciintersci_la_etc_DATA)'; test -n "$(libsciintersci_la_etcdir)" || list=; \
825         for p in $$list; do \
826           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
827           echo "$$d$$p"; \
828         done | $(am__base_list) | \
829         while read files; do \
830           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciintersci_la_etcdir)'"; \
831           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciintersci_la_etcdir)" || exit $$?; \
832         done
833
834 uninstall-libsciintersci_la_etcDATA:
835         @$(NORMAL_UNINSTALL)
836         @list='$(libsciintersci_la_etc_DATA)'; test -n "$(libsciintersci_la_etcdir)" || list=; \
837         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
838         test -n "$$files" || exit 0; \
839         echo " ( cd '$(DESTDIR)$(libsciintersci_la_etcdir)' && rm -f" $$files ")"; \
840         cd "$(DESTDIR)$(libsciintersci_la_etcdir)" && rm -f $$files
841 install-libsciintersci_la_rootDATA: $(libsciintersci_la_root_DATA)
842         @$(NORMAL_INSTALL)
843         test -z "$(libsciintersci_la_rootdir)" || $(MKDIR_P) "$(DESTDIR)$(libsciintersci_la_rootdir)"
844         @list='$(libsciintersci_la_root_DATA)'; test -n "$(libsciintersci_la_rootdir)" || list=; \
845         for p in $$list; do \
846           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
847           echo "$$d$$p"; \
848         done | $(am__base_list) | \
849         while read files; do \
850           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciintersci_la_rootdir)'"; \
851           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciintersci_la_rootdir)" || exit $$?; \
852         done
853
854 uninstall-libsciintersci_la_rootDATA:
855         @$(NORMAL_UNINSTALL)
856         @list='$(libsciintersci_la_root_DATA)'; test -n "$(libsciintersci_la_rootdir)" || list=; \
857         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
858         test -n "$$files" || exit 0; \
859         echo " ( cd '$(DESTDIR)$(libsciintersci_la_rootdir)' && rm -f" $$files ")"; \
860         cd "$(DESTDIR)$(libsciintersci_la_rootdir)" && rm -f $$files
861
862 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
863         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
864         unique=`for i in $$list; do \
865             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
866           done | \
867           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
868               END { if (nonempty) { for (i in files) print i; }; }'`; \
869         mkid -fID $$unique
870 tags: TAGS
871
872 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
873                 $(TAGS_FILES) $(LISP)
874         set x; \
875         here=`pwd`; \
876         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
877         unique=`for i in $$list; do \
878             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
879           done | \
880           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
881               END { if (nonempty) { for (i in files) print i; }; }'`; \
882         shift; \
883         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
884           test -n "$$unique" || unique=$$empty_fix; \
885           if test $$# -gt 0; then \
886             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
887               "$$@" $$unique; \
888           else \
889             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
890               $$unique; \
891           fi; \
892         fi
893 ctags: CTAGS
894 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
895                 $(TAGS_FILES) $(LISP)
896         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
897         unique=`for i in $$list; do \
898             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
899           done | \
900           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
901               END { if (nonempty) { for (i in files) print i; }; }'`; \
902         test -z "$(CTAGS_ARGS)$$unique" \
903           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
904              $$unique
905
906 GTAGS:
907         here=`$(am__cd) $(top_builddir) && pwd` \
908           && $(am__cd) $(top_srcdir) \
909           && gtags -i $(GTAGS_ARGS) "$$here"
910
911 distclean-tags:
912         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
913
914 distdir: $(DISTFILES)
915         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
916         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
917         list='$(DISTFILES)'; \
918           dist_files=`for file in $$list; do echo $$file; done | \
919           sed -e "s|^$$srcdirstrip/||;t" \
920               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
921         case $$dist_files in \
922           */*) $(MKDIR_P) `echo "$$dist_files" | \
923                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
924                            sort -u` ;; \
925         esac; \
926         for file in $$dist_files; do \
927           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
928           if test -d $$d/$$file; then \
929             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
930             if test -d "$(distdir)/$$file"; then \
931               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
932             fi; \
933             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
934               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
935               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
936             fi; \
937             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
938           else \
939             test -f "$(distdir)/$$file" \
940             || cp -p $$d/$$file "$(distdir)/$$file" \
941             || exit 1; \
942           fi; \
943         done
944 check-am: all-am
945         $(MAKE) $(AM_MAKEFLAGS) check-local
946 check: check-am
947 all-am: Makefile $(LTLIBRARIES) $(PROGRAMS) $(DATA) all-local
948 installdirs:
949         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(bindir)" "$(DESTDIR)$(libsciintersci_la_etcdir)" "$(DESTDIR)$(libsciintersci_la_rootdir)"; do \
950           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
951         done
952 install: install-am
953 install-exec: install-exec-am
954 install-data: install-data-am
955 uninstall: uninstall-am
956
957 install-am: all-am
958         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
959
960 installcheck: installcheck-am
961 install-strip:
962         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
963           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
964           `test -z '$(STRIP)' || \
965             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
966 mostlyclean-generic:
967
968 clean-generic:
969
970 distclean-generic:
971         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
972         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
973
974 maintainer-clean-generic:
975         @echo "This command is intended for maintainers to use"
976         @echo "it deletes files that may require special tools to rebuild."
977 clean: clean-am
978
979 clean-am: clean-binPROGRAMS clean-generic clean-libtool clean-local \
980         clean-pkglibLTLIBRARIES mostlyclean-am
981
982 distclean: distclean-am
983         -rm -rf ./$(DEPDIR)
984         -rm -f Makefile
985 distclean-am: clean-am distclean-compile distclean-generic \
986         distclean-local distclean-tags
987
988 dvi: dvi-am
989
990 dvi-am:
991
992 html: html-am
993
994 html-am:
995
996 info: info-am
997
998 info-am:
999
1000 install-data-am: install-data-local install-libsciintersci_la_etcDATA \
1001         install-libsciintersci_la_rootDATA
1002
1003 install-dvi: install-dvi-am
1004
1005 install-dvi-am:
1006
1007 install-exec-am: install-binPROGRAMS install-pkglibLTLIBRARIES
1008
1009 install-html: install-html-am
1010
1011 install-html-am: install-html-local
1012
1013 install-info: install-info-am
1014
1015 install-info-am:
1016
1017 install-man:
1018
1019 install-pdf: install-pdf-am
1020
1021 install-pdf-am:
1022
1023 install-ps: install-ps-am
1024
1025 install-ps-am:
1026
1027 installcheck-am:
1028
1029 maintainer-clean: maintainer-clean-am
1030         -rm -rf ./$(DEPDIR)
1031         -rm -f Makefile
1032 maintainer-clean-am: distclean-am maintainer-clean-generic
1033
1034 mostlyclean: mostlyclean-am
1035
1036 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1037         mostlyclean-libtool
1038
1039 pdf: pdf-am
1040
1041 pdf-am:
1042
1043 ps: ps-am
1044
1045 ps-am:
1046
1047 uninstall-am: uninstall-binPROGRAMS \
1048         uninstall-libsciintersci_la_etcDATA \
1049         uninstall-libsciintersci_la_rootDATA \
1050         uninstall-pkglibLTLIBRARIES
1051
1052 .MAKE: check-am install-am install-strip
1053
1054 .PHONY: CTAGS GTAGS all all-am all-local check check-am check-local \
1055         clean clean-binPROGRAMS clean-generic clean-libtool \
1056         clean-local clean-pkglibLTLIBRARIES ctags distclean \
1057         distclean-compile distclean-generic distclean-libtool \
1058         distclean-local distclean-tags distdir dvi dvi-am html html-am \
1059         info info-am install install-am install-binPROGRAMS \
1060         install-data install-data-am install-data-local install-dvi \
1061         install-dvi-am install-exec install-exec-am install-html \
1062         install-html-am install-html-local install-info \
1063         install-info-am install-libsciintersci_la_etcDATA \
1064         install-libsciintersci_la_rootDATA install-man install-pdf \
1065         install-pdf-am install-pkglibLTLIBRARIES install-ps \
1066         install-ps-am install-strip installcheck installcheck-am \
1067         installdirs maintainer-clean maintainer-clean-generic \
1068         mostlyclean mostlyclean-compile mostlyclean-generic \
1069         mostlyclean-libtool pdf pdf-am ps ps-am tags uninstall \
1070         uninstall-am uninstall-binPROGRAMS \
1071         uninstall-libsciintersci_la_etcDATA \
1072         uninstall-libsciintersci_la_rootDATA \
1073         uninstall-pkglibLTLIBRARIES
1074
1075
1076 # This target enables tests for Scilab
1077 check-local: $(top_builddir)/scilab-bin
1078         @COMMAND="test_run('$(modulename)');quit";\
1079         export LANG=C;\
1080         $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"
1081 check-code:
1082         if test -f build.xml; then \
1083                 $(ANT) checkstyle; \
1084         fi
1085         if test -x "$(SPLINT)"; then \
1086                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1087         fi
1088 @NEED_JAVA_TRUE@java:
1089 # Some configurations needs to export JAVA_HOME in the current env
1090 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1091 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1092 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1093 @NEED_JAVA_TRUE@                $(ANT); \
1094 @NEED_JAVA_TRUE@        fi
1095
1096 @NEED_JAVA_TRUE@clean-java:
1097 # Some configurations needs to export JAVA_HOME in the current env
1098 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1099 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1100 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1101 @NEED_JAVA_TRUE@                $(ANT) clean; \
1102 @NEED_JAVA_TRUE@        fi;
1103
1104 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1105 # We call the target swig-build on the variable SWIG_WRAPPERS
1106
1107 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1108 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1109 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1110 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1111 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1112 @SWIG_TRUE@                     echo "Swig process of $$file ..."; \
1113 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1114 @SWIG_TRUE@             done; \
1115 @SWIG_TRUE@     fi
1116
1117 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1118 # We call the target swig-build on the variable SWIG_WRAPPERS
1119
1120 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1121 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1122 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1123 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1124 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1125 @GIWS_TRUE@                     $(GIWS_BIN) --output-dir $$GIWS_OUTPUTDIR --throws-exception-on-error --description-file $$file; \
1126 @GIWS_TRUE@             done; \
1127 @GIWS_TRUE@     fi
1128
1129 macros:
1130         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1131                 echo "Error : Cannot build $< : Scilab has not been built"; \
1132         else \
1133                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1134         fi)
1135
1136 # Removes the macros
1137 clean-macros:
1138 # Removes macros (*.bin generated from .sci)
1139         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1140                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1141                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1142         done
1143
1144 all-local: $(TARGETS_ALL)
1145
1146 .sci.bin:
1147         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1148         echo "Error : Cannot build $< : Scilab has not been build"; \
1149         else \
1150         echo "Creating $@"; \
1151         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1152         fi )
1153
1154 install-html-local:
1155 # If the user wants the help sources to be installed
1156 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1157 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1158 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1159 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1160 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1161 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1162 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1163 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1164 @INSTALL_HELP_XML_TRUE@           done ; \
1165 @INSTALL_HELP_XML_TRUE@         fi; \
1166 @INSTALL_HELP_XML_TRUE@  fi; \
1167 @INSTALL_HELP_XML_TRUE@ done; \
1168 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1169 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1170 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1171 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1172 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1173 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1174 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1175 @INSTALL_HELP_XML_TRUE@           done ; \
1176 @INSTALL_HELP_XML_TRUE@         fi; \
1177 @INSTALL_HELP_XML_TRUE@ fi
1178 install-data-local:
1179 # Install the tests
1180         @echo "-------- Install tests (if any) --------"; \
1181         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1182           if test -d $(srcdir)/$$dir/; then \
1183             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1184                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1185                     if test -d "$(srcdir)/$$dir/$$file"; then \
1186                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1187                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1188                     else \
1189                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1190                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1191                     fi \
1192                   done; \
1193           fi; \
1194         done
1195 # Install the help chapter
1196         @echo "-------- Install the help chapter (if any) --------"; \
1197         for lang in $(HELP_CHAPTERLANG); do \
1198                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1199                 if test -f $$HELPFILE; then \
1200                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1201                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1202                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1203                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1204                 fi; \
1205         done
1206 # Install the demos & examples
1207         @echo "-------- Install demos & examples (if any) --------"; \
1208         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1209           if test -d $(srcdir)/$$dir/; then \
1210             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1211                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1212                     if test -d "$(srcdir)/$$dir/$$file"; then \
1213                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1214                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1215                     else \
1216                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1217                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1218                     fi \
1219                   done; \
1220           fi; \
1221         done
1222 # Install the macros
1223         @echo "-------- Install macros (if any) --------"; \
1224         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1225           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1226                 if test -d $(srcdir)/$$dir/; then \
1227                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1228                         if test -n "$(MACROSSPECIALEXT)"; then \
1229                                 for specialExt in $(MACROSSPECIALEXT); do \
1230                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1231                                 done; \
1232                                 FILELIST="$$FILELIST $$specialExtDir"; \
1233                         fi; \
1234                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1235                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1236                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1237                   done; \
1238                 fi; \
1239         done
1240 # Install java files (.jar)
1241         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1242         echo "-------- Install jar files --------"; \
1243     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1244           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1245                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1246                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1247           done ; \
1248         fi
1249
1250 ########### CLEAN ###################
1251 # Clean macros and help (generated automatically by Scilab)
1252 @NEED_JAVA_TRUE@clean-local: clean-java clean-macros
1253 @NEED_JAVA_FALSE@clean-local: clean-macros
1254
1255 distclean-local:
1256         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1257
1258 .PHONY: macros java swig giws
1259
1260 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1261 # Otherwise a system limit (for SysV at least) may be exceeded.
1262 .NOEXPORT: